<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html 
     PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>Class: UpTime</title>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
  <meta http-equiv="Content-Script-Type" content="text/javascript" />
  <link rel="stylesheet" href=".././rdoc-style.css" type="text/css" media="screen" />
  <script type="text/javascript">
  // <![CDATA[

  function popupCode( url ) {
    window.open(url, "Code", "resizable=yes,scrollbars=yes,toolbar=no,status=no,height=150,width=400")
  }

  function toggleCode( id ) {
    if ( document.getElementById )
      elem = document.getElementById( id );
    else if ( document.all )
      elem = eval( "document.all." + id );
    else
      return false;

    elemStyle = elem.style;
    
    if ( elemStyle.display != "block" ) {
      elemStyle.display = "block"
    } else {
      elemStyle.display = "none"
    }

    return true;
  }
  
  // Make codeblocks hidden by default
  document.writeln( "<style type=\"text/css\">div.method-source-code { display: none }</style>" )
  
  // ]]>
  </script>

</head>
<body>



    <div id="classHeader">
        <table class="header-table">
        <tr class="top-aligned-row">
          <td><strong>Class</strong></td>
          <td class="class-name-in-header">UpTime</td>
        </tr>
        <tr class="top-aligned-row">
            <td><strong>In:</strong></td>
            <td>
                <a href="../files/app/models/internal_rb.html">
                app/models/internal.rb
                </a>
        <br />
            </td>
        </tr>

        <tr class="top-aligned-row">
            <td><strong>Parent:</strong></td>
            <td>
                Object
            </td>
        </tr>
        </table>
    </div>
  <!-- banner header -->

  <div id="bodyContent">



  <div id="contextContent">



   </div>

    <div id="method-list">
      <h3 class="section-bar">Methods</h3>

      <div class="name-list">
      <a href="#M000021">new</a>&nbsp;&nbsp;
      </div>
    </div>

  </div>


    <!-- if includes -->
    <div id="includes">
      <h3 class="section-bar">Included Modules</h3>

      <div id="includes-list">
        <span class="include-name">Reloadable</span>
      </div>
    </div>

    <div id="section">





    <div id="attribute-list">
      <h3 class="section-bar">Attributes</h3>

      <div class="name-list">
        <table>
        <tr class="top-aligned-row context-row">
          <td class="context-item-name">cpu_load_1</td>
          <td class="context-item-value">&nbsp;[R]&nbsp;</td>
          <td class="context-item-desc"></td>
        </tr>
        <tr class="top-aligned-row context-row">
          <td class="context-item-name">cpu_load_15</td>
          <td class="context-item-value">&nbsp;[R]&nbsp;</td>
          <td class="context-item-desc"></td>
        </tr>
        <tr class="top-aligned-row context-row">
          <td class="context-item-name">cpu_load_5</td>
          <td class="context-item-value">&nbsp;[R]&nbsp;</td>
          <td class="context-item-desc"></td>
        </tr>
        <tr class="top-aligned-row context-row">
          <td class="context-item-name">uptime</td>
          <td class="context-item-value">&nbsp;[R]&nbsp;</td>
          <td class="context-item-desc"></td>
        </tr>
        <tr class="top-aligned-row context-row">
          <td class="context-item-name">users</td>
          <td class="context-item-value">&nbsp;[R]&nbsp;</td>
          <td class="context-item-desc"></td>
        </tr>
        </table>
      </div>
    </div>
      


    <!-- if method_list -->
    <div id="methods">
      <h3 class="section-bar">Public Class methods</h3>

      <div id="method-M000021" class="method-detail">
        <a name="M000021"></a>

        <div class="method-heading">
          <a href="#M000021" class="method-signature">
          <span class="method-name">new</span><span class="method-args">(id)</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000021-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000021-source">
<pre>
    <span class="ruby-comment cmt"># File app/models/internal.rb, line 68</span>
68:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">initialize</span>(<span class="ruby-identifier">id</span>)
69:     <span class="ruby-identifier">puts</span> <span class="ruby-value str">&quot;---&gt;Initializing an object of class UpTime&quot;</span>
70: 
71:     <span class="ruby-ivar">@raw_data</span> = <span class="ruby-constant">OpenVZ</span>.<span class="ruby-identifier">uptime</span>(<span class="ruby-identifier">id</span>)
72:   
73:     <span class="ruby-comment cmt"># Example: </span>
74:     <span class="ruby-comment cmt"># 20:52:47 up 18 days,  6:13,  4 users,  load average: 0.00, 0.26, 0.46</span>
75: 
76:     <span class="ruby-keyword kw">if</span> <span class="ruby-ivar">@raw_data</span> <span class="ruby-operator">=~</span> <span class="ruby-regexp re">/.*? up (.*? users),/</span>
77:       <span class="ruby-identifier">$1</span> <span class="ruby-operator">=~</span> <span class="ruby-regexp re">/(.*),(.*?) users/</span>
78:       <span class="ruby-ivar">@uptime</span> = <span class="ruby-identifier">$1</span>
79:       <span class="ruby-ivar">@users</span> = <span class="ruby-identifier">$2</span>
80:     <span class="ruby-keyword kw">else</span>
81:       <span class="ruby-ivar">@uptime</span> = <span class="ruby-ivar">@users</span> = <span class="ruby-value str">&quot;Not found&quot;</span>
82:     <span class="ruby-keyword kw">end</span>
83:     
84:     <span class="ruby-identifier">loads</span> = <span class="ruby-ivar">@raw_data</span>.<span class="ruby-identifier">scan</span>(<span class="ruby-regexp re">/[0-9]+\.[0-9]+/</span>)
85:     <span class="ruby-ivar">@cpu_load_1</span> = <span class="ruby-identifier">loads</span>[<span class="ruby-value">0</span>].<span class="ruby-identifier">to_f</span>
86:     <span class="ruby-ivar">@cpu_load_5</span> = <span class="ruby-identifier">loads</span>[<span class="ruby-value">1</span>].<span class="ruby-identifier">to_f</span>
87:     <span class="ruby-ivar">@cpu_load_15</span> = <span class="ruby-identifier">loads</span>[<span class="ruby-value">2</span>].<span class="ruby-identifier">to_f</span>
88:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>


    </div>


  </div>


<div id="validator-badges">
  <p><small><a href="http://validator.w3.org/check/referer">[Validate]</a></small></p>
</div>

</body>
</html>